Bug 109949 - MasterTool only allows one --file command line
Summary: MasterTool only allows one --file command line
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-13 11:04 UTC by Daniel Berrange
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:28:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-11-13 11:04:24 UTC
Description of problem:
The MasterTool program only allows one instance of the --file command
line parameter. In a typical install you may have multiple different
property files you want to load from, depending on the type of setup
you want. For example, for APLAWS we have

   ntlm.properties - config for setting up NTLM authentication
   devel.properties - config for creating admin@example.com account  
   aplaws.properties - standard APLAWS integration

For any given install there will always be aplaws.properties, but
optionally the user may use the other two files.

So to setup APLWAS w/ NTLM they might want to do:

  ccm load --file aplaws.properties  --file ntlm.properties --bundle
aplaws.bundle

Or, for APLAWS in development 

  ccm load --file aplaws.properties --file devel.properties --bundle
aplaws.bundle

Version-Release number of selected component (if applicable):


How reproducible:
ALWAYS

Steps to Reproduce:
1. Use multiple --file options on the command line
2.
3.
  
Actual results:
dan@camden$ ccm load --file devel.properties --file aplaws.properties
`cat aplaws.bundle  | grep -v '#' | grep '\w'`
no such package: aplaws.properties
dan@camden$ 


Expected results:
The package is loaded using both devel.properties & aplaws.properties

Additional info:

Comment 1 Richard Li 2003-12-09 20:20:27 UTC
cf bug 109027

Comment 2 Daniel Berrange 2006-09-02 17:28:48 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.